### Constructor

# Gio TestDBus new

since: 2.34

#### Declaration

    GTestDBus*
    g_test_dbus_new (
      GTestDBusFlags flags
    )

#### Description

Create a new `GTestDBus` object.

Available since: 2.34

#### Parameters

`flags`

  Type: `GTestDBusFlags`

  A `GTestDBusFlags`.

#### Return value

Type: `GTestDBus`

A new `GTestDBus`.

The caller of the function takes ownership of the data, and is responsible for freeing it.